#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::ItalianSongs
# =========================================================================== #
require 'multimedia_paradise/audio/genres/genre.rb'

module MultimediaParadise

class ItalianSongs < ::MultimediaParadise::Genre

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = ITALIAN_SONGS_FILE,
      run_already = false
    )
    super(i, run_already)
    set_yaml_file(ITALIAN_SONGS_FILE)
    set_namespace(NAMESPACE)
    run
  end

end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::ItalianSongs.new(ARGV)
end # italian_songs