#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::The1980s
# =========================================================================== #
require 'multimedia_paradise/audio/genres/genre.rb'

module MultimediaParadise

class The1980s < ::MultimediaParadise::Genre

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = THE_1980s_FILE,
      run_already = false
    )
    super(i, run_already)
    set_yaml_file(THE_1980s_FILE)
    set_namespace(NAMESPACE)
    run
  end

end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::The1980s.new(ARGV)
end # the_1980s