#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/constants/my_video_directory.rb'
# =========================================================================== #
require 'multimedia_paradise/constants/directory_constants.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise::MY_VIDEO_DIRECTORY
  #
  # This is typically on my system, where I keep video-related content.
  # ========================================================================= #
  if ENV['MY_VIDEO']
    MY_VIDEO_DIRECTORY = "#{ENV['MY_VIDEO']}/"
  else
    MY_VIDEO_DIRECTORY = "#{HOME_DIRECTORY_OF_USER_X}video/"
  end

  # ========================================================================= #
  # === MultimediaParadise::DIRECTORY_DATA_VIDEO
  #
  # This constant is always hardcoded.
  # ========================================================================= #
  DIRECTORY_DATA_VIDEO =
    "#{HOME_DIRECTORY_OF_USER_X}DATA/video/"

end