#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::SimplePlayWidget
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk2/simple_play_widget/simple_play_widget.rb'
# MultimediaParadise.simple_play_widget
# =========================================================================== #
# === Todo:
#
#   - Indicate IF a song or video is playing somehow.
#
# =========================================================================== #
require 'gtk_paradise/require_gtk2'
require 'multimedia_paradise/gui/gtk2/widget_increase_or_decrease_audio/widget_increase_or_decrease_audio.rb'

module MultimediaParadise

module GUI

module Gtk

class SimplePlayWidget < ::Gtk::VBox # === MultimediaParadise::GUI::Gtk::SimplePlayWidget

  require 'multimedia_paradise/gui/shared_code/simple_play_widget/simple_play_widget_module.rb'
  include MultimediaParadise::GUI::Gtk::SimplePlayWidgetModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::SimplePlayWidget.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::Gtk::SimplePlayWidgetModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::SimplePlayWidget.run
end # gtksimpleplaywidget