#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::MultimediaConverter
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk3/multimedia_converter/multimedia_converter.rb'
# =========================================================================== #
require 'gtk_paradise/require_gtk3.rb'
require 'gtk_paradise/widgets/gtk3/debug_widget/debug_widget.rb'

module MultimediaParadise

module GUI

module Gtk

class MultimediaConverter < ::Gtk::Box # === Gtk::MultimediaConverter

  require 'multimedia_paradise/gui/shared_code/multimedia_converter/multimedia_converter_module.rb'
  include MultimediaParadise::GUI::Gtk::MultimediaConverterModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::MultimediaConverter.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::Gtk::MultimediaConverterModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::MultimediaConverter.run
end # rconvert