#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::Playlist
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk3/playlist/playlist.rb'
# MultimediaParadise::GUI::Gtk::Playlist.run
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

module MultimediaParadise

module GUI

module Gtk

class Playlist < ::Gtk::Box

  require 'multimedia_paradise/gui/shared_code/playlist/playlist_module.rb'
  include ::MultimediaParadise::GUI::Gtk::PlaylistModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::Playlist.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::Gtk::PlaylistModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::Playlist.run
end