#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::VideoCollection
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

module MultimediaParadise

module GUI

module Gtk

class VideoCollection < ::Gtk::Window

  require 'gtk_paradise/requires/require_the_base_module.rb'
  include ::Gtk::BaseModule

  require 'gtk_paradise/app/app_module.rb'
  include ::Gtk::AppModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::VideoCollection.gtk3_widget
  # ========================================================================= #
  def self.gtk3_widget
    new
  end

  # ========================================================================= #
  # === MultimediaParadise::GUI::VideoCollection.run_gtk3_widget
  # ========================================================================= #
  def self.run_gtk3_widget
    new
    ::Gtk.enable_default_css
    ::Gtk.main
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::VideoCollection.run_gtk3_widget
end # wetter_app_gtk3