#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::VideoEditor
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk3/gtk3_prototype/gtk3_prototype.rb'
# MultimediaParadise::GUI::Gtk::VideoEditor.run
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

module MultimediaParadise

module GUI

module Gtk

class VideoEditor < ::Gtk::Box

  require 'multimedia_paradise/gui/shared_code/video_editor/video_editor_module.rb'
  include ::MultimediaParadise::GUI::Gtk::VideoEditorModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::VideoEditor.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::Gtk::VideoEditorModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::VideoEditor.run
end