#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/project/project.rb'
# MultimediaParadise.project_yaml_dir?
# =========================================================================== #
module MultimediaParadise

  # ========================================================================= #
  # === PROJECT_BASE_DIRECTORY
  # ========================================================================= #
  PROJECT_BASE_DIRECTORY =
    File.absolute_path("#{__dir__}/..")+'/'
    BASE_DIR = PROJECT_BASE_DIRECTORY

  # ========================================================================= #
  # === MultimediaParadise.project_base_dir?
  # ========================================================================= #
  def self.project_base_dir?
    PROJECT_BASE_DIRECTORY
  end; self.instance_eval { alias project_base_dir        project_base_dir? } # === MultimediaParadise.project_base_dir
       self.instance_eval { alias project_base_dir?       project_base_dir? } # === MultimediaParadise.project_base_dir?
       self.instance_eval { alias project_base_directory? project_base_dir? } # === MultimediaParadise.project_base_directory?

  # ========================================================================= #
  # === PROJECT_YAML_DIRECTORY
  #
  # This constant points to the main yaml-directory of this project,
  # but it may be better to use the method below this constant.
  # ========================================================================= #
  PROJECT_YAML_DIRECTORY =
    "#{MultimediaParadise::PROJECT_BASE_DIRECTORY}yaml/"

  # ========================================================================= #
  # === MultimediaParadise.project_yaml_dir?
  #
  # This may point to:
  #
  #   /home/Programs/Ruby/2.6.5/lib/ruby/site_ruby/2.6.0/multimedia_paradise/yaml/
  #
  # ========================================================================= #
  def self.project_yaml_dir?
    PROJECT_YAML_DIRECTORY
  end

end