#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Require all files under 'multimedia_paradise/video/*.rb'
# =========================================================================== #
# require 'multimedia_paradise/requires/require_video_files.rb'
# =========================================================================== #
require 'multimedia_paradise/project/project.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.require_video_files
  # ========================================================================= #
  def self.require_video_files
    target = "#{project_base_dir?}video/*.rb"
    these_files = Dir[target] # We will require these files here.
    these_files.each {|file|
      this_file = "multimedia_paradise/video/#{File.basename(file)}"
      require this_file
    }
  end

end # === MultimediaParadise.require_video_files