#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_cut_audio'
# =========================================================================== #
# This will also register CutAudio into the toplevel constant. Users are
# encouraged to NOT use this .rb file if they do NOT want this to happen.
# =========================================================================== #
require 'multimedia_paradise/requires/require_cut_multimedia.rb'

# =========================================================================== #
# Make the CutAudio namespace known, as alias to the namespace called
# MultimediaParadise::CutMultimedia.
# =========================================================================== #
Object.const_set 'CutAudio', MultimediaParadise::CutMultimedia