#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'multimedia_paradise/ffmpeg/ffmpeg.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.query_the_audio_codec_of_this_file
  #
  # See the method MultimediaParadise.ffmpeg_query_the_audio_codec_of_this_file
  # for a description of this method.
  # ========================================================================= #
  def self.query_the_audio_codec_of_this_file(i)
    ffmpeg_query_the_audio_codec_of_this_file(i)
  end; self.instance_eval { alias audio_codec?          query_the_audio_codec_of_this_file } # === MultimediaParadise.audio_codec?
       self.instance_eval { alias query_the_audio_codec query_the_audio_codec_of_this_file } # === MultimediaParadise.query_the_audio_codec

end

if __FILE__ == $PROGRAM_NAME
  puts MultimediaParadise.query_the_audio_codec_of_this_file(ARGV)
end # query_the_audio_codec_of_this_file /Depot/j/foobar.mp3