#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/return_duration_of_this_multimedia_file.rb'
# =========================================================================== #
require 'multimedia_paradise/requires/require_file_duration.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.return_duration_of_this_multimedia_file
  #
  # This will simply return the number of seconds of a file, as
  # Float.
  # ========================================================================= #
  def self.return_duration_of_this_multimedia_file(i)
    i = i.first if i.is_a? Array
    _ = MultimediaParadise::FileDuration.new(i) { :be_quiet }
    _.duration?.to_f
  end; self.instance_eval { alias duration_of? return_duration_of_this_multimedia_file } # === MultimediaParadise.duration_of?

end

if __FILE__ == $PROGRAM_NAME
  p MultimediaParadise.return_duration_of_this_multimedia_file(ARGV)  
end # return_duration_of_this_* /Depot/j/foobar.mp3