I finally got around being able to watch "The Hateful Eight" in September
of 2016. Took me a bit longer to write a review afterwards.

At any rate - this review is of considerable length, so I have split
it up into "The Good" and "The Bad" parts respectively (no ugly parts,
these may be found integrated into "The Bad" subsection). It also is my
first review, so who knows whether I will do more of these reviews
or not. This review may not even be published, but instead reside as
a blueprint here in this directory.

I won't go into the storyline much at all since I do not want to
include too many spoilers.

The movie can perhaps best be described as "a western detective 
storyline", a hybrid movie. I recall that I read somewhere that
Ennio Morricone said that he could not produce the same music
for this movie that he once did for Sergio in the old
spaghetti-western movies era, and Ennio actually was right when
he said that in retrospect.

Quentin may not have realized it back then at that moment in time,
but that was the correct answer by Ennio to give, because the movie
Quentin directed is very different from what Sergio created. So
the music would not have fit 1:1, hence why the music is a bit 
different and more gloomy compared to Ennio's musical score for
other western movies.

I also think that the music score that Ennio created fit to the
movie "The Hateful Eight" perfectly well, even though I happen
to believe that it was not Ennio's best music score either - but
he deserved the award for his earlier work anyway, and the music
for the movie is not bad at all. It is a fitting music, sort of
like Hans Zimmer is doing for the movies he acts as audio chief
in charge. Even Hans Zimmer does not always produce great scores,
but he does usually create music that fits very well to the movie
at hand. At any rate, back to the movie The Hateful Eight itself.

I believe that the name for the movie was in many ways inspired 
clearly from "The Glorious Seven", so Quentin did a slight mockery
here, even more so as "The Glorious Seven" was based on the older
"The Seven Samurai" movie from Japan.

Quentin put characters into the movie that people could hate, though
also perhaps understand at the same time, given their background.
None of the main characters is a truly lovable or very likeable
person, not even the gallows dude and neither that dude from
England.

They are all sort of villains, all of them, combined to meet at
the same location - some more villains than others. But no real 
hero as such. In some ways this was true of the old movie "The
Good, The Bad and The Ugly" as well - all three were 
ultimately criminals or at the least ruthless killers.

This part of the movie "The Hateful Eight" is pretty nice and
was very well done - the character development part was a success.
Sure, there are some flaws here and there; the mexican guy was a
bit odd, then some other characters were a bit ... off too, over
the top. A jamaican accent? Seriously? In a tavern far, far away?
Come on now ... that was more an attempt to spice-it-up a bit by
Quentin. And the crazy lady that was chained by the sheriff was
also a bit over-the-top; I'd almost call it overacting.

But if we look past these points, I think that the set of
characters was good and well-developed. Here Quentin deserves
some praise for the plot.

My favourite two characters played in the movie were actually
played by Samuel Jackson (no surprise, he is a genius in just about
all movies directed by Quentin; my favourite two performances
from him still came by Pulp Fiction, which I think is Quentin's
best movie, but also Jackie Brown, where Samuel convincingly
played a drug dealer pimp); and the other character I liked
was portrayed Kurt Russel. The accent was just awesome. The
performance was also one of his best, in my opinion. He really
made me believe that he was a ruthless sheriff from the get
go - in some ways lawful, but also brutal. An evil lawful
sheriff so to speak.

Granted, beating up his female prisoner in every third or fourth
scene was a bit excessive in regards to violence, but hey - that
is Quentin's style. A bit over the top, as always. Perhaps there
could have been fewer violent beat-up scenes, but we can expect
this from a Quentin movie in many ways and I don't hold this quite
against him.

I absolutely loved the way he integrated the landscape into the
movie. This reminded me of the initial scenery in The Shining.
I think he could have integrated more of this, because once
the movie played in the tavern, it was like a repetition of
the older movie he did called "Reservoir Dogs". Which was a good
movie too - not as good as Pulp Fiction, but a good movie
nonetheless. It would have been interesting if he could have
played more landscape-like plots perhaps before everyone would
meet in the tavern. Because once they were in the tavern, they
were kind of "locked in" until the movie would resolve.

Now, I will rate the movie "The Hateful Eight" as a 5 out of 10,
perhaps a 6 out of then, which isn't that great but it is still
quite fair, in my opinion. A bit above average. (Addendum:
currently, in 2021, the movie has a rating of 7.8 on IMDB, so
perhaps my lower score of 6 was indeed a bit too low.)

So then, why would I not rate it above 6?

The thing is that the movie also had some serious shortcomings,
much more so than in others Quentin did - yet at the same time,
I also think that the movie had a LOT more potential than it
achieved, and I think that this can be explained because
Quentin did a few mistakes.

Most of these have been mentioned before on IMDB reviews; the
awkward narration in the middle of the movie was really really
AWFUL. Someone else explained that it was for in-move pause
between coffee break or toilet break, so I can understand this
a bit, but even then, it could have had some more visual effect
and someone who has a better NARRATIVE voice than Quentin.

It really sort of cheapened the whole movie - but even that
isn't the main problem with the movie. It is just one more
element where the movie really did not live up to its full
potential.

The movie draws some inspiration from The Good, The Bad and
The Ugly too, because if you think about it, in Sergio's older
movie all three are actually evil dudes. Even The Good played
by Clint Eastwood. I mean he sort of tortures The Ugly (Eli
Wallach, who I think was actually the key character in that
movie and also the best performance IMO, even though both
Clint and Lee van Cliff were awesome too). Also note that in
The Good, The Bad and The Ugly, all of them also had a slight
"softer" side. Sure, The Bad is really mean but even he does
not kill everyone at plain sight. For instance, he once 
calls that fat big dude to stop slapping The Ugly with a
"That's enough.". And he also does not torture The Good,
even though it is explained that he knew that The Good 
would not talk when tortured; if he were fully evil he 
may have tortured anyway just to make a point. But he was an
"evil" person with a purpose and a goal so that was his softer
side.

The Good is semi-good, like when Clint Eastwood claims to want to
hang The Ugly but then shoots him into freedom from the gallows,
so he is really the good guy clearly, even though he is also
mean and evil. And even the Bad is not the most evil ever, just
corrupt and greedy.

Now, in "The Hateful Eight", I think they are all pretty evil 
folks. Perhaps the Sheriff is not so evil initially but he
quickly gets corrupted as the movie drags on. Samuel Jackson
is pretty evil and a liar; in some ways he is actually the
main actor or in-movie narrator, which is interesting.

There are a lot of small ideas that partially make up for some
of the other problems in the movie. For instance, I think
that Quentin had a great idea there with the whole scenery
of the movie.

The icy landscape is really beautiful. The various other settings
are nifty as well - the big wooden house which gets "split up" into
different sectors inside, once the actors are in the main room.
The stable is quite some way away from the main house, which 
adds to the creepy atmosphere; the whole movie is both a western
but also a detective story of some sort.

The wide angle of the camera was nice too, you really get to see
a lot in great detail here. So for this alone, that is actually
worth 2 of the points here. Granted, in the second half of
the movie you no longer see any of the scenery; Quentin could
have perhaps integrated more scenery from the outside into the
storyline, to really make best use of the ... 35mm camera or
whatever he was using there.

In one scene, Samuel Jackson notices some red drop on the ground,
a candy. Why the candy is on the ground is explained in another
part of the movie, which fits together decently well.

The action scenes, while not that many and typically Quentin's 
style is over-the-top, are ok too. It's a bit too much drama
for my taste, with the wounded actors slowly dying away but I
guess this is his trademark.

I also think that the plot is ok in principle. The main scene
initially is Kurt Russell being the bountyhunter and dragging
his prisoner about. It makes some sense that he is anxious
that someone will try to free his prisoner.

Samuel Jackson is also a great storyteller in the movie, I
found the story where he would kill the son of someone else
quite curious - everyone could see that it was a made-up
story crafted in order to provoke the listener but it still
was a good idea in my opinion.

The music was ok but Ennio did better scores really. Ennio 
explained that he did not want to copy his work for Sergio,
which I can understand; still, the music was not as good as
he did when he was younger. I think that Ennio Morricone is
awesome but it was not his best work. Ennio explained that
he wanted to do another style too, and I understand the
explanation but still, I can see that Quentin was not 
completely convinced. Then again, the movie is also not 
an oldschool western either with the detective component,
so I guess that goes both ways; it definitely was not an
italo-western, also not an US-western, it was more a 
Quentin-Detective-western mixed with Reservoir Dogs and
Pulp Fiction.

The actors were all good - I don't think there was anyone
who was really bad. Samuel was the best by far in my opinion;
Kurt was good too. The noble englishman was ok; a bit 
over-drama but ok regardless.

Anyway. I will now come to the parts of the movie that do not
work:

There are quite some weaknesses in the movie, some minor ones,
some larger ones.

For instance, Samuel so happens to shoot down someone else.

Shortly afterwards, nobody else minded this. Uhm ... now
excuse me but why did not even the coachman mind this?

Or the Sheriff??? I mean, seriously? What the fuck??? Someone
who is supposed to uphold the law?

They all pretended as if nothing happened!

I understand that the thugs did not care, no problem here,
but the other folks? Hmmmmm. Perhaps the Sheriff was a huge
thug too, but it wasn't as obvious. Sure, he beat up a 
woman but a Sheriff who does not uphold the law is already
such a huge thug that you wonder why he'd still be Sheriff.

You need to keep in mind that they would not know Samuel's
character before that - but the new Sheriff instantly accepts
it when Samuel's character provokes someone else into shooting 
at him and then killing the one who tries to kill him? Without
saying ANYTHING? Come on ... you could well be the very next
person who gets shot down. I would have at least expected SOME
kind of other reaction than the blanket ... zero reaction.
This is as if Quentin just wanted the scenery, and did not
care about the plausability of reaching it.

A lot of the movie reminds me of Pulp Fiction and especially
Reservoir Dogs. If you saw both, but in particular the latter,
it is VERY much similar. The Reservoir Dogs is also shot in
a somewhat similar way - like one room, or few rooms where
the action all takes place. And lots of talking, too.

The action is a bit from Kill Bill over-the-top. It's not
bad IMO but sometimes it just is over-drama. Like the female
prisoner, after the 5th time of getting blood splattered
all over her, it sorta was too much really. How much more
blood do you have? 10 liters? 50? I mean, really.

The narrator in the middle of the movie destroyed a lot too.

I think it would have been better if Quentin would have used
another way to get the storyline going forward.

Another problem I would make out is the frequent use of the
word "nigga". Ok, I get it, Quentin likes to dramatize with
racist dialogue and we can assume that this was more frequent
in the old days of western-movies, the secession wars and so
on. This part is "fine" in the sense of a movie and narration.
Slaves and abusing them as cattle.

But - the other part is the DELIBERATE use of the word to the
point of where the whole scripted dialogue revolves around that
single word, more or less. And I feel that this just
distracts rather than really add much at all to the scenes - after
the 20th use of the word itself, I wondered a lot. What is the
point of the word if it distracts so much and destroys any
dialogue or monologue?

I think for me one big problem really was that so much reminded me
of Reservoir Dogs. I actually think that Reservoir Dogs also
was the better movie here, simply because it was original
back then and did not try to incorporate so many different ideas.

It is much closer to Quentin's real "original" way to create
movies.

I am somewhat disappointed with the last ~10 years from Quentin,
his older movies were really much, much better - Reservoir Dogs,
Pulp Fiction in particular, but also Jackie Brown. Sure, Jackie
Brown isn't as great as Pulp Fiction, but I think that it was
a really, really nicely made movie, with characters that are 
all somewhat believable. The character development still is
an area where Quentin is good.

In many ways, while he still tries to bring in new concepts,
and he did (Django - black actor as the hero of a time where
racism was massively integrated into the southern US society,
good idea for that; Grindhouse the scenery was nice in particular
for the blood scenes, which in some ways can also be seen
in The Hateful Eight in the initial landscape scenery), there
is sort of the "big picture" lacking. Something that would
allow Quentin to leave behind the flicks and transcend into
his own style. Nothing wrong with homage to good old movies,
don't get me wrong but after a while, Quentin should really
get to define a style that uniquely fits to him AND to the
movie itself too. Just like he did with Pulp Fiction, 
Reservoir Dogs and Jackie Brown.
