#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/audio/genres/constants.rb'
# =========================================================================== #
module MultimediaParadise

module Genres # === MultimediaParadise::Genres

  require 'multimedia_paradise/project/project.rb'

  # ========================================================================= #
  # === GENRE_DIR
  # ========================================================================= #
  GENRE_DIR = "#{::MultimediaParadise.project_yaml_dir?}genres/"

  # ========================================================================= #
  # === TRANCE_FILE
  # ========================================================================= #
  TRANCE_FILE = "#{GENRE_DIR}trance.yml"

  # ========================================================================= #
  # === EURODANCE_FILE
  # ========================================================================= #
  EURODANCE_FILE = "#{GENRE_DIR}eurodance.yml"

  # ========================================================================= #
  # === THE_1980s_FILE
  # ========================================================================= #
  THE_1980s_FILE = "#{GENRE_DIR}1980s.yml"

  # ========================================================================= #
  # === HIP_HOP_FILE
  # ========================================================================= #
  HIP_HOP_FILE = "#{GENRE_DIR}hip_hop.yml"

  # ========================================================================= #
  # === BOOGIE_FILE
  # ========================================================================= #
  BOOGIE_FILE = "#{GENRE_DIR}boogie.yml"

  # ========================================================================= #
  # === ITALIAN_SONGS_FILE
  # ========================================================================= #
  ITALIAN_SONGS_FILE = "#{GENRE_DIR}italian_songs.yml"

  # ========================================================================= #
  # === CONCERTS_SONGS_FILE
  # ========================================================================= #
  CONCERTS_SONGS_FILE = "#{GENRE_DIR}concerts.yml"

end; end