#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module MultimediaParadise

module Audio

class StreamripperWrapper < ::MultimediaParadise::Base

  # ========================================================================= #
  # === URL_SHOUTCAST
  # ========================================================================= #
  URL_SHOUTCAST = 'http://www.shoutcast.com/'

  # ========================================================================= #
  # === URL_1
  # ========================================================================= #
  URL_1 = 'http://yp.shoutcast.com/sbin/tunein-station.pls?id=128607'

  # ========================================================================= #
  # === URL_2
  # ========================================================================= #
  URL_2 = 'http://yp.shoutcast.com/sbin/tunein-station.pls?id=128607'

  # ========================================================================= #
  # === Audio::StreamripperWrapper::HOUSE_MUSIC
  # ========================================================================= #
  HOUSE_MUSIC = '  http://yp.shoutcast.com/sbin/tunein-station.pls?id=57352'

  # ========================================================================= #
  # === DENVER_URL
  # ========================================================================= #
  DENVER_URL  = 'http://4533.live.streamtheworld.com:80/KKFNFMAAC_SC'

  # ========================================================================= #
  # === BOOTLIQUOR_URL
  # ========================================================================= #
  BOOTLIQUOR_URL = 'http://somafm.com/bootliquor.pls'

  # ========================================================================= #
  # === ARRAY_AVAILABLE_URLS
  #
  # Gather some URLs here.
  # ========================================================================= #
  HASH_AVAILABLE_URLS = {
    'Denver area radio' => DENVER_URL,
    'Bootliquor'        => BOOTLIQUOR_URL
  }

end; end; end