#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::Base
#
# All .rb files that are part of the MultimediaParadise project can
# subclass from this file here. This is the preferred way, too.
# =========================================================================== #
# require 'multimedia_paradise/base/base.rb'; class Foo < ::MultimediaParadise::Base
# =========================================================================== #
require 'multimedia_paradise/toplevel_methods/misc.rb'
require 'multimedia_paradise/base/constants.rb'
require 'multimedia_paradise/base/colours.rb'
require 'multimedia_paradise/base/encoding.rb'
require 'multimedia_paradise/base/misc.rb'
require 'multimedia_paradise/base/namespace.rb'
require 'multimedia_paradise/toplevel_methods/e.rb'
require 'multimedia_paradise/toplevel_methods/files_and_directories.rb'
require 'multimedia_paradise/toplevel_methods/is_audio_file.rb'
require 'multimedia_paradise/toplevel_methods/is_video_file.rb'
require 'multimedia_paradise/toplevel_methods/output_directory.rb'
require 'multimedia_paradise/toplevel_methods/return_all_video_files.rb'
require 'multimedia_paradise/toplevel_methods/player_in_use.rb'

module MultimediaParadise

class Base # === MultimediaParadise::Base

end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::Base.new(ARGV)
end # multimedia_paradise_base