#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/base/namespace.rb'
# =========================================================================== #
module MultimediaParadise

class Base # === MultimediaParadise::Base

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === infer_the_namespace
  #
  # This will assume the true namespace from the inspectable name.
  # ========================================================================= #
  def infer_the_namespace
    _ = inspect
    if _.include?(':0x')
      _ = _.split(':0x').first.to_s.strip
    end
    _ = _.to_s.delete('<')
    if _.include? ' '
      _ = _.split(' ').first.delete('#')
      if _.include? ':'
        _ = _.split(':')[0 .. -2].reject {|entry| entry.empty? }.join('::')
      end
    end
    @namespace = _.delete('#') # And assign it here.
  end

end; end