#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/base/time.rb'
# =========================================================================== #
module MultimediaParadise

class Base # === MultimediaParadise::Base

  # ========================================================================= #
  # === dd_mm_yyyy
  # ========================================================================= #
  def dd_mm_yyyy
    return ::Time.now.strftime('%d.%m.%Y')
  end; alias dd_mm_yyyy? dd_mm_yyyy # === dd_mm_yyyy?

  # ========================================================================= #
  # === hh_mm_ss
  # ========================================================================= #
  def hh_mm_ss
    return ::Time.now.strftime('%H:%M:%S')
  end; alias hh_mm_ss? hh_mm_ss # === hh_mm_ss?

end; end