#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/constants/video_filetypes.rb'
# =========================================================================== #
module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise::ARRAY_VIDEO_FILETYPES
  #
  # Define which filetypes we will consider to be video-formats.
  #
  # Store without '.' character.
  # ========================================================================= #
  ARRAY_VIDEO_FILETYPES = %w(
    avi
    flv
    m4v
    mkv
    mp4
    mpg
    ogm
    vob
  )

end