#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::Lyrics
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk/lyrics.rb'
# =========================================================================== #
require 'gtk_paradise/require_gtk2'

module MultimediaParadise

module GUI

module Gtk

class Lyrics < ::Gtk::Frame # === MultimediaParadise::GUI::Gtk::Lyrics

  require 'multimedia_paradise/gui/shared_code/lyrics/lyrics_module.rb'
  include ::MultimediaParadise::GUI::Gtk::LyricsModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::Lyrics.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::Gtk::LyricsModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::Lyrics.run
end # gtklyrics2