#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::MultimediaNotebook
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk3/multimedia_notebook/multimedia_notebook.rb'
# MultimediaParadise::GUI::Gtk::MultimediaNotebook.run
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

module MultimediaParadise

module GUI

module Gtk

class MultimediaNotebook < ::Gtk::Box

  require 'multimedia_paradise/gui/shared_code/multimedia_notebook/multimedia_notebook_module.rb'
  include ::MultimediaParadise::GUI::Gtk::MultimediaNotebookModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::MultimediaNotebook.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::Gtk::MultimediaNotebookModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::MultimediaNotebook.run
end