#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::SimplePlayWidget
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk3/simple_play_widget/simple_play_widget.rb'
# MultimediaParadise::GUI::Gtk::SimplePlayWidget.run
# =========================================================================== #
require 'gtk_paradise/require_gtk3'
require 'multimedia_paradise/gui/gtk3/widget_increase_or_decrease_audio/widget_increase_or_decrease_audio.rb'

module MultimediaParadise

module GUI

module Gtk

class SimplePlayWidget < ::Gtk::Box

  require 'gtk_paradise/requires/require_the_base_module.rb'
  include ::Gtk::BaseModule

  require 'multimedia_paradise/gui/shared_code/simple_play_widget/simple_play_widget_module.rb'
  include ::MultimediaParadise::GUI::SimplePlayWidgetModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::SimplePlayWidget.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::SimplePlayWidgetModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::SimplePlayWidget.run
end