#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::SoundEffectWidget
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk3/sound_effect_widget/sound_effect_widget.rb'
# MultimediaParadise::GUI::Gtk::SoundEffectWidget.run
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

module MultimediaParadise

module GUI

module Gtk

class SoundEffectWidget < ::Gtk::Box

  require 'multimedia_paradise/gui/shared_code/sound_effect_widget/sound_effect_widget_module.rb'
  include ::MultimediaParadise::GUI::Gtk::SoundEffectWidgetModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::SoundEffectWidget.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::Gtk::SoundEffectWidgetModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::SoundEffectWidget.run
end