#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::VideoPlayer
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk3/video_player/video_player.rb'
# MultimediaParadise::GUI::Gtk::VideoPlayer.run
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

module MultimediaParadise

module GUI

module Gtk

class VideoPlayer < ::Gtk::Box

  require 'multimedia_paradise/gui/shared_code/video_player/video_player_module.rb'
  include ::MultimediaParadise::GUI::Gtk::VideoPlayerModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::VideoPlayer.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::Gtk::VideoPlayerModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::VideoPlayer.run
end