#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::WidgetIncreaseOrDecreaseAudio
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk3/widget_increase_or_decrease_audio/widget_increase_or_decrease_audio.rb'
# MultimediaParadise::GUI::Gtk::WidgetIncreaseOrDecreaseAudio.new(ARGV)
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

module MultimediaParadise

module GUI

module Gtk

class WidgetIncreaseOrDecreaseAudio < ::Gtk::Box

  require 'multimedia_paradise/gui/shared_code/widget_increase_or_decrease_audio/widget_increase_or_decrease_audio_module.rb'

  include ::Gtk::BaseModule
  include ::MultimediaParadise::GUI::Gtk::WidgetIncreaseOrDecreaseAudioModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::WidgetIncreaseOrDecreaseAudio.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::Gtk::WidgetIncreaseOrDecreaseAudioModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::WidgetIncreaseOrDecreaseAudio.run
end