#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::YoutubeDownloader
# =========================================================================== #
require 'gtk_paradise/require_gtk3'
require 'multimedia_paradise/requires/require_the_multimedia_paradise_project.rb'

module MultimediaParadise

module GUI

module Gtk

class YoutubeDownloader < ::Gtk::Box # === MultimediaParadise::GUI::Gtk::YoutubeDownloader

  require 'multimedia_paradise/gui/shared_code/youtube_downloader/youtube_downloader_module.rb'
  include ::MultimediaParadise::GUI::Gtk::YoutubeDownloaderModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::YoutubeDownloader.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::Gtk::YoutubeDownloaderModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::YoutubeDownloader.run
end # youtube_downloader