#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will cut an audio file into  minutes each.
# =========================================================================== #
# require '5_minutes_chop.rb'
# =========================================================================== #
module MultimediaParadise

module Multimedia

  require 'multimedia_paradise/toplevel_methods/chop_into_segments_of_n_seconds_size.rb'

  # ========================================================================= #
  # === MultimediaParadise::Audio.chop_this_file_into_five_minutes_segments
  #
  # Note that -segment_time is the amount of time you want per each
  # file, in seconds.
  # ========================================================================= #
  def self.chop_this_file_into_five_minutes_segments(this_file)
    ::MultimediaParadise.chop_into_segments_of_n_seconds_size(this_file, 60 * 5)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::Multimedia.chop_this_file_into_five_minutes_segments(ARGV.first)  
end # 15minuteschop