#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'multimedia_paradise/toplevel_methods/chop_off_first_n_seconds.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.chop_off_first_ten_minutes
  # ========================================================================= #
  def self.chop_off_first_ten_minutes(of_this_file)
    MultimediaParadise.chop_off_first_n_seconds(
      '10 minutes', of_this_file, :do_create_complementary_file
    )
  end

end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise.chop_off_first_ten_minutes(ARGV.first)
end # chop_off_first_ten_minutes