#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/opn.rb'
# =========================================================================== #
require 'multimedia_paradise/constants/namespace.rb'

module MultimediaParadise

  begin
    require 'opn'
  rescue LoadError; end

  # ========================================================================= #
  # === MultimediaParadise.opnn
  # ========================================================================= #
  def self.opnn(
      i = { namespace: NAMESPACE }, &block
    )
    Opn.opn(i, &block) if Object.const_defined? :Opn
  end; self.instance_eval { alias opn opnn } # === MultimediaParadise.opn

end