#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/scale_video.rb'
# =========================================================================== #
require 'multimedia_paradise/ffmpeg/ffmpeg.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.scale_this_video
  #
  # For the documentation of this method, please look at the method called
  # MultimediaParadise.scale_this_video().
  # ========================================================================= #
  def self.scale_this_video(
      this_video, optional_hash = {}
    )
    ffmpeg_scale_this_video(this_video, optional_hash)
  end; self.instance_eval { alias resize_this_video scale_this_video } # === MultimediaParadise.resize_this_video

end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise.scale_this_video(ARGV)
end # scale_this_video ack.avi