#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/to_mp4.rb'
# =========================================================================== #
module MultimediaParadise

  require 'multimedia_paradise/ffmpeg/ffmpeg.rb'

  # ========================================================================= #
  # === MultimediaParadise.to_mp4
  # ========================================================================= #
  def self.to_mp4(*these_files)
    File.absolute_path(
      ffmpeg_to_mp4(these_files)
    )
  end

end

if __FILE__ == $PROGRAM_NAME
 MultimediaParadise.to_mp4(ARGV)
end