# -*- encoding: utf-8 -*-
# stub: multimedia_paradise 1.1.318 ruby lib

Gem::Specification.new do |s|
  s.name = "multimedia_paradise".freeze
  s.version = "1.1.318"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.4.10".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2023-04-05"
  s.description = "\nThis project is a collection of video- and audio-related scripts -\nmultimedia-related actions, such as cutting audio files,\nmerging video files, listening to online-stream radio and so\nforth.\n\nMost of the functionality depends on external projects such as\nffmpeg, mpv or sox, so consider installing these projects if you\nhave not already done so. (They should work on windows fine\nas well.)\n\nFor more information about this project, please consider having\na look at the official documentation (at\nhttps://www.rubydoc.info/gems/multimedia_paradise/\nor just click on the link called Documentation, at the\nhomepage of this gem at https://rubygems.org/gems/multimedia_paradise/ \nrespectively at https://www.rubydoc.info/gems/multimedia_paradise/ ).\n\n".freeze
  s.email = "shevy@inbox.lt".freeze
  s.executables = ["audio_player".freeze, "auto_title".freeze, "convert_audio_to_mp4video_with_image".freeze, "cut_audio".freeze, "cut_multimedia".freeze, "extract_audio".freeze, "ffmpeg_merge".freeze, "file_duration".freeze, "gtk_radio".freeze, "loop_this_video".freeze, "merge_avi_files".freeze, "merge_mp3".freeze, "missing_video_files".freeze, "movie_searcher".freeze, "mp3_to_opus".freeze, "mplayer_wrapper".freeze, "multimedia_information".freeze, "multimedia_paradise".freeze, "multimedia_paradise_sinatra".freeze, "play_random_simpsons_video".freeze, "playlist".freeze, "random_video".freeze, "remove_audio".freeze, "remove_last_second".freeze, "remove_subtitles".freeze, "tag_mp3_files".freeze, "to_aiff".freeze, "to_mp4".freeze, "verbose_analyse_this_mp3_file_for_id3_tags".freeze, "video_codec".freeze, "video_information".freeze, "video_player".freeze, "video_to_images".freeze, "vp9".freeze, "waveform".freeze]
  s.files = ["bin/audio_player".freeze, "bin/auto_title".freeze, "bin/convert_audio_to_mp4video_with_image".freeze, "bin/cut_audio".freeze, "bin/cut_multimedia".freeze, "bin/extract_audio".freeze, "bin/ffmpeg_merge".freeze, "bin/file_duration".freeze, "bin/gtk_radio".freeze, "bin/loop_this_video".freeze, "bin/merge_avi_files".freeze, "bin/merge_mp3".freeze, "bin/missing_video_files".freeze, "bin/movie_searcher".freeze, "bin/mp3_to_opus".freeze, "bin/mplayer_wrapper".freeze, "bin/multimedia_information".freeze, "bin/multimedia_paradise".freeze, "bin/multimedia_paradise_sinatra".freeze, "bin/play_random_simpsons_video".freeze, "bin/playlist".freeze, "bin/random_video".freeze, "bin/remove_audio".freeze, "bin/remove_last_second".freeze, "bin/remove_subtitles".freeze, "bin/tag_mp3_files".freeze, "bin/to_aiff".freeze, "bin/to_mp4".freeze, "bin/verbose_analyse_this_mp3_file_for_id3_tags".freeze, "bin/video_codec".freeze, "bin/video_information".freeze, "bin/video_player".freeze, "bin/video_to_images".freeze, "bin/vp9".freeze, "bin/waveform".freeze]
  s.homepage = "https://rubygems.org/gems/multimedia_paradise".freeze
  s.licenses = ["GPL-2.0".freeze]
  s.post_install_message = "\n  This gem will install some executable scripts in its bin/ directory.\n\n  Two worth mentioning are the following:\n    \n      cut_audio      # Allows you to cut audio files, in particular .mp3 files\n\n  The other file that may be useful is:\n\n      extract_audio  # Allows you to extract the audio from e. g. a .mkv or .mp4 file\n\n  Note that both cut_audio and extract_audio make use of ffmpeg right now.        \n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.6".freeze)
  s.rubygems_version = "3.4.10".freeze
  s.summary = "This project is a collection of video- and audio-related scripts - multimedia-related actions, such as cutting audio files, merging video files, listening to online-stream radio and so forth.  Most of the functionality depends on external projects such as ffmpeg, mpv or sox, so consider installing these projects if you have not already done so. (They should work on windows fine as well.)  For more information about this project, please consider having a look at the official documentation (at https://www.rubydoc.info/gems/multimedia_paradise/ or just click on the link called Documentation, at the homepage of this gem at https://rubygems.org/gems/multimedia_paradise/  respectively at https://www.rubydoc.info/gems/multimedia_paradise/ ).".freeze

  s.installed_by_version = "3.4.10" if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<colours>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<cliner>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<hours_to_seconds>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<opn>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<save_file>.freeze, [">= 0"])
end
